Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatFolderInviteLinkInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatFolderInviteLinkInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatFolderInviteLinkInfo extends TdApi.Object
Contains information about an invite link to a chat folder.

## Field Summary

Fields
Modifier and Type
Field
Description
`long[]`
`addedChatIds`
Identifiers of the chats from the link, which are added to the folder already.
`TdApi.ChatFolderInfo`
`chatFolderInfo`
Basic information about the chat folder; chat folder identifier will be 0 if the user didn't have the chat folder yet.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long[]`
`missingChatIds`
Identifiers of the chats from the link, which aren't added to the folder yet.

## Constructor Summary

Constructors
Constructor
Description
`ChatFolderInviteLinkInfo()`
Contains information about an invite link to a chat folder.
`ChatFolderInviteLinkInfo(TdApi.ChatFolderInfo chatFolderInfo, long[] missingChatIds, long[] addedChatIds)`
Contains information about an invite link to a chat folder.
`ChatFolderInviteLinkInfo(DataInput input)`
Contains information about an invite link to a chat folder.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatFolderInfo

public TdApi.ChatFolderInfo chatFolderInfo
Basic information about the chat folder; chat folder identifier will be 0 if the user didn't have the chat folder yet.

### missingChatIds

public long[] missingChatIds
Identifiers of the chats from the link, which aren't added to the folder yet.

### addedChatIds

public long[] addedChatIds
Identifiers of the chats from the link, which are added to the folder already.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatFolderInviteLinkInfo

public ChatFolderInviteLinkInfo()
Contains information about an invite link to a chat folder.

### ChatFolderInviteLinkInfo

public ChatFolderInviteLinkInfo(TdApi.ChatFolderInfo chatFolderInfo, long[] missingChatIds, long[] addedChatIds)
Contains information about an invite link to a chat folder.

Parameters:
  `chatFolderInfo` - Basic information about the chat folder; chat folder identifier will be 0 if the user didn't have the chat folder yet.
  `missingChatIds` - Identifiers of the chats from the link, which aren't added to the folder yet.
  `addedChatIds` - Identifiers of the chats from the link, which are added to the folder already.

### ChatFolderInviteLinkInfo

public ChatFolderInviteLinkInfo(DataInput input) throws IOException
Contains information about an invite link to a chat folder.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`